Skip to main content
Returns the card products available to your business — each with its capabilities (the valid capability values at issue) and your entitlement status. Use this instead of hardcoding product codes. You can only issue from products with entitlementStatus: Approved.
Card endpoints use the same base URL and API key as the rest of the API and are not signature-gated.

Endpoint

GET /api/v1/business/card/products
Signature required: No

Headers

HeaderRequiredDescription
X-Numero-Api-KeyYesYour API key
curl -X GET "https://api-dev.usenumero.com/numeroaccount/api/v1/business/card/products" \
  -H "X-Numero-Api-Key: your_api_key"

Response

{
  "status": true,
  "message": "Successful",
  "code": "200",
  "version": "v1",
  "reference": "N20260616120000",
  "data": [
    {
      "code": "USD_VIRTUAL",
      "name": "USD Virtual Card",
      "currency": "USD",
      "capabilities": "USD",
      "setupFeeUsd": 2,
      "minFundingUsd": 5,
      "entitlementStatus": "Approved"
    },
    {
      "code": "USD_APPLE_PAY",
      "name": "USD Wallet Card",
      "currency": "USD",
      "capabilities": "USD,APPLE_PAY,GOOGLE_PAY",
      "setupFeeUsd": 2,
      "minFundingUsd": 5,
      "entitlementStatus": "Requested"
    }
  ],
  "error": null
}